Example request
GET https://api.jupiter-erp.com/api/account/products
Code
curl -X GET 'https://api.jupiter-erp.com/api/account/products' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json'Parameters
| Name | In | Required | Description |
|---|---|---|---|
| name | query | no | Supports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match. |
| sku | query | no | Supports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match. |
| type | query | no | — |
| price_net_from | query | no | — |
| price_net_to | query | no | — |
| order_by | query | no | Sort by a specific field |
| #/components/parameters/OrderDirParameter | |||
| #/components/parameters/PerPageParameter | |||
| #/components/parameters/PageParameter | |||
Responses
200OK
| Field | Type | Description | ||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| data* | object[] | array Elements
| ||||||||||||||||||||||||||||||||||||||||||
| meta* | object |
|
Example response
{
"data": [
{
"id": 0,
"sku": "string",
"name": "string",
"description": "string",
"type": "physical",
"unit_code": "C62"
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 1,
"items_from": 1,
"items_to": 1
}
}Products